Addresses
List FBO Account Addresses
List the addresses for an FBO account
GET
/
fbo-accounts
/
{id}
/
addresses
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/fbo-accounts/m97fbo456/addresses \
--header 'Authorization: Bearer <token>'
const response = await fetch(
"https://api.beachdepository.com/v1/fbo-accounts/m97fbo456/addresses",
{
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
}
)
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/fbo-accounts/m97fbo456/addresses",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/fbo-accounts/m97fbo456/addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "ja7addr123",
"fboAccountId": "m97fbo456",
"type": "return",
"street": "123 Main St",
"street2": "Suite 200",
"city": "Dallas",
"state": "TX",
"zip": "75001",
"country": "US",
"firstName": "Jane",
"lastName": "Doe",
"phone": "5551234567",
"email": "jane@example.com",
"isActive": true,
"updatedAt": "2024-03-05T15:58:41.000Z",
"createdAt": "2025-03-01T12:00:00Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}
Returns the addresses for an FBO account.
Authorizations
string
required
Send
Bearer <token> in this header. The key needs fbo_accounts:read.Path Parameters
string
required
Query Parameters
number
default:"1"
number
default:"25"
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/fbo-accounts/m97fbo456/addresses \
--header 'Authorization: Bearer <token>'
const response = await fetch(
"https://api.beachdepository.com/v1/fbo-accounts/m97fbo456/addresses",
{
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
}
)
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/fbo-accounts/m97fbo456/addresses",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/fbo-accounts/m97fbo456/addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "ja7addr123",
"fboAccountId": "m97fbo456",
"type": "return",
"street": "123 Main St",
"street2": "Suite 200",
"city": "Dallas",
"state": "TX",
"zip": "75001",
"country": "US",
"firstName": "Jane",
"lastName": "Doe",
"phone": "5551234567",
"email": "jane@example.com",
"isActive": true,
"updatedAt": "2024-03-05T15:58:41.000Z",
"createdAt": "2025-03-01T12:00:00Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}
⌘I
cURL
curl --request GET \
--url https://api.beachdepository.com/v1/fbo-accounts/m97fbo456/addresses \
--header 'Authorization: Bearer <token>'
const response = await fetch(
"https://api.beachdepository.com/v1/fbo-accounts/m97fbo456/addresses",
{
method: "GET",
headers: {
Authorization: "Bearer <token>",
},
}
)
const data = await response.json()
import requests
response = requests.get(
"https://api.beachdepository.com/v1/fbo-accounts/m97fbo456/addresses",
headers={
"Authorization": "Bearer <token>",
},
)
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.beachdepository.com/v1/fbo-accounts/m97fbo456/addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
{
"data": [
{
"id": "ja7addr123",
"fboAccountId": "m97fbo456",
"type": "return",
"street": "123 Main St",
"street2": "Suite 200",
"city": "Dallas",
"state": "TX",
"zip": "75001",
"country": "US",
"firstName": "Jane",
"lastName": "Doe",
"phone": "5551234567",
"email": "jane@example.com",
"isActive": true,
"updatedAt": "2024-03-05T15:58:41.000Z",
"createdAt": "2025-03-01T12:00:00Z"
}
],
"pagination": {
"page": 1,
"hasMore": false
}
}